<configuration>
    <configurationProperties>
        <property>
            <id>field1</id>
            <name>DMP-EDITOR.FIELDS.PROJECT</name>
            <sourceUrl>http://localhost:9091/api/project/</sourceUrl>
            <queryProperty>search</queryProperty>
            <externalFieldId>id</externalFieldId>
            <externalFieldLabel>name</externalFieldLabel>
            <dependencies>
                <dependency>
                    <id>field2</id>
                    <queryProperty>funder</queryProperty>
                </dependency>
            </dependencies>
            <required>false</required>
        </property>
        <property>
            <id>field2</id>
            <name>DMP-EDITOR.FIELDS.FUNDER</name>
            <sourceUrl>http://localhost:9091/api/funder/</sourceUrl>
            <queryProperty>search</queryProperty>
            <externalFieldId>id</externalFieldId>
            <externalFieldLabel>name</externalFieldLabel>
            <dependencies>
            </dependencies>
            <required>false</required>
        </property>
        <property>
            <id>field3</id>
            <name>DMP-EDITOR.FIELDS.GRANT</name>
            <sourceUrl>http://localhost:9091/api/grant/</sourceUrl>
            <queryProperty>search</queryProperty>
            <externalFieldId>id</externalFieldId>
            <externalFieldLabel>name</externalFieldLabel>
            <dependencies>
            </dependencies>
            <required>false</required>
        </property>
    </configurationProperties>
    <mainExternalField>
        <id>field3</id>
        <name>project.configuration.grant.name</name>
        <urlConfig>
            <ordinal>1</ordinal>
            <url>https://eestore.paas2.uninett.no/api/projectrepo/</url>
            <data>
                <path>$['data'][*]['attributes']</path>
                <fields>
                    <id>'pid'</id>
                    <name>'name'</name>
                    <uri>'uri'</uri>
                    <description>'description'</description>
                    <source>'source'</source>
                </fields>
            </data>
            <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
        </urlConfig>
        <externalFieldId>pid</externalFieldId>
        <externalFieldLabel>name</externalFieldLabel>
        <language>
            <languageProperty>
                <key>navbar</key>
                <languageKey>NAV-BAR.PROJECTS</languageKey>
            </languageProperty>
            <languageProperty>
                <key>listingTitle</key>
                <languageKey>PROJECT-LISTING.TITLE</languageKey>
            </languageProperty>
            <languageProperty>
                <key>editorTitle</key>
                <languageKey>PROJECT-EDITOR.TITLE.NEW</languageKey>
            </languageProperty>
            <languageProperty>
                <key>editorLogo</key>
                <languageKey>PROJECT-EDITOR.FIELDS.LOGO</languageKey>
            </languageProperty>
            <languageProperty>
                <key>dmpEditor</key>
                <languageKey>DMP-EDITOR.FIELDS.PROJECT</languageKey>
            </languageProperty>
            <languageProperty>
                <key>criteriaStart</key>
                <languageKey>CRITERIA.PROJECTS.PERIOD-FROM</languageKey>
            </languageProperty>
            <languageProperty>
                <key>criteriaEnd</key>
                <languageKey>CRITERIA.PROJECTS.PERIOD-TO</languageKey>
            </languageProperty>
            <languageProperty>
                <key>dmpCriteria</key>
                <languageKey>CRITERIA.DMP.PROJECTS</languageKey>
            </languageProperty>
        </language>
        <dependencies>
        </dependencies>
        <required></required>
    </mainExternalField>
</configuration>